List project notification rules
curl --request GET \
--url https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/notifications/rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/notifications/rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.timbal.ai/orgs/{org_id}/projects/{project_id}/notifications/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rules": [
{
"channels": [
{
"config": {},
"id": 123,
"name": "<string>"
}
],
"cooldown_seconds": 123,
"enabled": true,
"id": 123,
"name": "<string>",
"condition": {}
}
]
}Notifications
List rules
List notification rules scoped to a project.
GET
/
orgs
/
{org_id}
/
projects
/
{project_id}
/
notifications
/
rules
List project notification rules
Rules scoped to this project (for example deployment alerts).
Authorizations
Timbal API key. Obtain your API key from the Timbal platform settings. See Authentication for more information.
Response
List of rules with channels
Wrapper for GET /orgs/{org_id}/projects/{project_id}/notifications/rules.
Show child attributes
Show child attributes
⌘I